Events (Admin)

Create stage (Admin)

POST/manage/events/:eventId/stages

Create a stage. Requires the stagesWrite permission.

AuthLogin required

Path parameters

eventIdstringrequired

Event ID or slug.

Request body

namestringrequired

Stage name (required); no length limit.

descriptionstringoptional

Description.

languagesLanguagesoptional

Localized name / description.

capacitynumberoptional

Capacity; an integer of 1 or more.

Response

Returns Stage.

Request
curl https://api.4s.link/manage/events/EVENT_ID/stages \
-X POST \
-H "Authorization: Bearer 4s_at_..." \
-H "Content-Type: application/json" \
-d '{
"name": "Main Hall",
"capacity": 300
}'
Example response
{
"id": "sg1a2b3c-...",
"name": "Main Hall",
"description": "...",
"capacity": 300,
"order": 0
}